Ошибка Either GD PHP extension

1 Звезда2 Звезды3 Звезды4 Звезды5 Звезд (Пока оценок нет)
Загрузка...

На локальной машине стоял вэб-сервер XAMPP с php 7.2, где был развернут фреймверк Yii 2, базовая версия.

Захотел поставить модуль «webvimark/module-user-management«, и в процессе установки пошли проблемы, так как для этого необходимо php >= 8.1.

Ну ладно, поставил более свежую версию XAMPP с php 8.1.2. Перенес старые настройки в конфиг апача и php, и перенес фреймверк.

Запустил, все работает. Переходу на страницу /contact и пошла ошибка

Either GD PHP extension with FreeType support or ImageMagick PHP extension with PNG support is required.

Вроде как php не поддерживается изображение в png, для капчи

Как оказалось, в php.ini небыл подключен один модуль

extension=gd

после подключения и перезапуска сервера, все заработало

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *